var path = require('path');
var fs = require('fs');

// Make sure any symlinks in the project folder are resolved:
var appDirectory = fs.realpathSync(process.cwd());
function resolveApp(relativePath) {
  return path.resolve(appDirectory, relativePath);
}

var nodePaths = (process.env.NODE_PATH || '')
  .split(process.platform === 'win32' ? ';' : ':')
  .filter(Boolean)
  .filter(folder => !path.isAbsolute(folder))
  .map(resolveApp);

module.exports = {
  appDist: resolveApp('dist'),
  appBuild: resolveApp('dist'),
  appPublic: resolveApp('public'),
  appIndexJs: resolveApp('src/react/app.js'),
  appPackageJson: resolveApp('package.json'),
  appSrc: resolveApp('src'),
  yarnLockFile: resolveApp('yarn.lock'),
  testsSetup: resolveApp('src/setupTests.js'),
  appNodeModules: resolveApp('node_modules'),
  unityConfig: resolveApp('src/config'),
  appViews: resolveApp('./src/views'),
  appRoutes: resolveApp('./src/routes'),
  appRoutesDefault: resolveApp('./src/routes/default'),
  appRoot: resolveApp(''),
  nodePaths,
};